Anonymous Login
2019-07-24 00:36 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001742OpenClonkScenariospublic2016-06-01 18:43
ReporterLuchs 
Assigned ToMarky 
PrioritynormalSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
Product Versiongit master 
Target VersionFixed in Version 
Summary0001742: Clonkomotive does not start
DescriptionWe didn't get any control over Clonks and there was no dialog.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005104

Maikel (developer)

[12:18:06] ERROR: '->': no function "GetLiquidFillLevel" in object "Object(2320)".
[12:18:06] by: Object(2186)->GetBarrel() (/home/maikel/openclonk/repos/planet/Worlds.ocf/Clonkomotive.ocs/Locomotive.ocd/Script.c:142)
[12:18:06] by: Object(2186)->Move() (/home/maikel/openclonk/repos/planet/Worlds.ocf/Clonkomotive.ocs/Locomotive.ocd/Script.c:65)
[12:18:06] by: Object(2186)->FxIntScheduleCallTimer(Object(2186),{Function = "Move", Name = "IntScheduleCall", NoStop = true, Pars = [], Repeats = -129}) (/home/maikel/openclonk/repos/build/planet/System.ocg/Schedule.c:93)

Marky should have fixed the stuff that depends on the liquid container changes.

~0005105

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/98dc6fa25240d4eacdc79642c91f128ac519884c

Changeset 98dc6fa by Mark <markh4b@hotmail.com>
Fix Bug 0001742

Fixed and tested other problems in tutorial 3 and 4, too

~0005106

Marky (developer)

Fixed with commit 98dc6fa25240d4eacdc79642c91f128ac519884c
+Notes

-Issue History
Date Modified Username Field Change
2016-05-30 15:28 Luchs New Issue
2016-05-31 10:19 Maikel Note Added: 0005104
2016-05-31 10:19 Maikel Assigned To => Marky
2016-05-31 10:19 Maikel Status new => assigned
2016-06-01 18:42 occ Note Added: 0005105
2016-06-01 18:43 Marky Note Added: 0005106
2016-06-01 18:43 Marky Status assigned => resolved
2016-06-01 18:43 Marky Resolution open => fixed
+Issue History